<div class="heroes">
    <h2>My Heroes</h2>
    <mat-form-field appearance="standard" color="accent">
        <mat-label>Hero name</mat-label>
        <input #heroName matInput>
    </mat-form-field>
    <app-accent-button (click)="add(heroName.value); heroName.value=''" label="add"></app-accent-button>
    <mat-selection-list multiple=false>
        <mat-list-option *ngFor="let hero of heroes">
            <app-hero-line
                    (delete)="delete(hero)"
                    (select)="navigate(hero.id)"
                    [hero]="hero">
            </app-hero-line>
            <mat-divider></mat-divider>
        </mat-list-option>
    </mat-selection-list>
</div>
